<?php
/**
*
* @bref BART 자동레벨업
* 
* @date 2014.01.03
*
* @author 권혁준(impactlife@naver.com)
*
* @copyright PLUGSYS.co.kr. & Kwon Hyuk-June. All rights reserved.
*
* @section MODIFYINFO
* 	- 없음/없음
*
* @section Example
*   - 없음
*/


/**
* @bref 레벨변동시 쪽지 보내기 (콜백함수)
* @param string $mb_id
* @param string $mode : up or down
* @param int $new_level : 업데이트된 레벨
* @param int $std_point : 기준 포인트
* @return
**/
function sendLevelupMsg($mb_id, $mode, $new_level, $std_point){
	
	global $config, $g5;
	
	$bdb = DB::getInstance();
	
	// 쪽지 INSERT
	$tmp_row = sql_fetch(" select max(me_id) as max_me_id from {$g5['memo_table']} ");
    $me_id = $tmp_row['max_me_id'] + 1;
    
    if($mode=='up'){
		$memo = number_format($std_point)."포인트를 초과하여 레벨 ".$new_level."(으)로 승격되었습니다";
	}else{
		$memo = number_format($std_point)."포인트 이하로 떨어져 레벨 ".$new_level."(으)로 강등되었습니다";
	}
        
    $arr = array();
	$arr['me_id'] = $me_id;
	$arr['me_recv_mb_id'] = $mb_id;
	$arr['me_send_mb_id'] = $config['cf_admin'];
	$arr['me_send_datetime'] = G5_TIME_YMDHIS;
	$arr['me_memo'] = $memo;
	$bdb->insert($g5['memo_table'], $arr);

	// 실시간 쪽지 알림 기능
	$sql = "UPDATE ".$g5['member_table']." SET 
		mb_memo_call = '".$bdb->esc($config['cf_admin'])."'
		WHERE mb_id='".$bdb->esc($mb_id)."'";
	$bdb->query($sql);
}




//관리자가 아니면
if(!$is_admin){
	//자동 레벨 조절
	$alev = new AutoLevelup();
	$alev->addEventListener(AutoLevelup::LEVEL_CHANGED, 'sendLevelupMsg');
	$alev->execCheckAndLevelUp($g5['member_table'], $member);
}
